<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Firebase Auth: Google </title>
</head>

<body>
    <h1>Firebase Auth: Google</h1>
    <div id="LoginScreen">
        <button id="login">Login with Google</button>
    </div>

    <div id="dashboard">
        <div id="userDetails"></div>
        <button id="logout">Logout</button>
    </div>

    <!-- The core Firebase JS SDK is always required and must be listed first -->
    <script src="https://www.gstatic.com/firebasejs/8.0.1/firebase-app.js"></script>

    <script src="https://www.gstatic.com/firebasejs/8.0.0/firebase-auth.js"></script>

    <!-- TODO: Add SDKs for Firebase products that you want to use
     https://firebase.google.com/docs/web/setup#available-libraries -->

    <script>
        // Your web app's Firebase configuration

        const firebaseConfig = {
            apiKey: "AIzaSyBn11LJHXmXUQcoZVmqxahgl7q4gf1XXp0",
            authDomain: "f2-p1-5ecb8.firebaseapp.com",
            projectId: "f2-p1-5ecb8",
            storageBucket: "f2-p1-5ecb8.appspot.com",
            messagingSenderId: "312217479593",
            appId: "1:312217479593:web:de035b91f733ed9f127cb8"
        };

        // Initialize Firebase
        firebase.initializeApp(firebaseConfig);

        document.getElementById('dashboard').style.display = "none"

        document.getElementById('login').addEventListener('click', GoogleLogin)
        document.getElementById('logout').addEventListener('click', LogoutUser)

        let provider = new firebase.auth.GoogleAuthProvider()

        function GoogleLogin() {
            console.log('Login Btn Call')
            firebase.auth().signInWithPopup(provider).then(res => {
                console.log(res.user)
                    // document.getElementById('LoginScreen').style.display = "none"
                    // document.getElementById('dashboard').style.display = "block"
                showUserDetails(res.user)
            }).catch(e => {
                console.log(e)
            })
        }

        function showUserDetails(user) {
            document.getElementById('userDetails').innerHTML = `
          <img src="${user.photoURL}" style="width:10%">
          <p>Name: ${user.displayName}</p>
          <p>Email: ${user.email}</p>
          <p>Uid: ${user.uid}</p>
          <p>EmailVerified: ${user.emailVerified}</p>
                                          `
        }

        function checkAuthState() {
            firebase.auth().onAuthStateChanged(user => {
                if (user) {
                    document.getElementById('LoginScreen').style.display = "none"
                    document.getElementById('dashboard').style.display = "block"
                    showUserDetails(user)
                } else {

                }
            })
        }

        function LogoutUser() {
            console.log('Logout Btn Call')
            firebase.auth().signOut().then(() => {
                document.getElementById('LoginScreen').style.display = "block"
                document.getElementById('dashboard').style.display = "none"
            }).catch(e => {
                console.log(e)
            })
        }
        checkAuthState()
    </script>
</body>

</html>